Anonymous Login
2018-05-23 18:48 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001951OpenClonkObjectspublic2017-12-29 12:11
ReporterFulgen 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001951: Making water disappear with an airplane
DescriptionAs stated in https://github.com/openclonk/openclonk/issues/56 :
Fill a wooden barrel with water and poor that water into an airplane.
Continue doing that until the amount of water reaches its maximum value - 999.
Keep adding more water and notice that its amount inside of the plane stays the same, but the water disappears from your inventory.
https://user-images.githubusercontent.com/30030740/31862904-88272c26-b735-11e7-95eb-e20bd45e1103.png
TagsObjects
Attached Files

-Relationships
related to 0001970assignedZapper Liquid and/or stacked object displays sometimes broken in ObjectInteractionMenu 
+Relationships

-Notes

~0005893

Maikel (developer)

This is not happening on git master, the barrels are not emptied and are being stacked as intended?

Was the report for an old version?

~0005920

Caesar (developer)

I can reproduce this. @Maikel: Did you try not putting the barrel into the plane, but just the liquid itself?

~0005921

Maikel (developer)

Last edited: 2017-12-03 18:47

View 2 revisions

The display is just wrong in this case. But it is not good to put liquids in the airplane in the first place. Same happens with the lorry.

I think the liquid system is not correct here. Marky?

~0005943

Marky (developer)

I just noticed that this bug was assigned to me, sorry for the delay.

There are several issues here:
1) it seems wrong that you can put water into the airplane. What do others think about that?
2) regarding the lorry: I'll check that. At least I inteded that the lorry can carry liquids, so that you can tip it over (that 45° thing) and pour e.g. lava on an enemy
3) the rest could be either the liquid system or the display, or both. Most likely the plane gets the additional liquid, but just displays it as 999.

Followup question: Do you add water by pressing the "transfer all" button or by transferring manually? I am asking, because the two version behave differently and I wanted to fix this for a long time

~0005944

Marky (developer)

Last edited: 2017-12-20 19:23

View 2 revisions

Checked it:
1) seems clear: the plane offers the liquid spray option, so that is intended - but the description also says that the liquid is sprayed from barrels, so it should not be possible to put liquids into the plane directly.
2) follows from 3), but maybe the lorry and plane can carry too much water anyway
3) the main explanation: the display simply stops at "999x", but if you hover the icon, then you can see the actual amount in the description field, e.g. 2000x water. It should be ok if we add another digit to the display.

Waiting for feedback now.

~0005948

Luchs (administrator)

Regarding 3): Both of those displays are sometimes broken, see the two attached screenshots. In the first (115), the upper display actually shows four digits (1351), but the one in the description field shows 300/300. The second one (116) shows the "airplane" situation where the upper display stopped at 999 and the lower one shows the correct count.

~0005949

Marky (developer)

That is even more strange. I think the 300/300 is a not updated hover thingy (because a barrel was transferred). For now I cannot explain why it is displays more than 999x sometimes.

Quick fix: I'll disable the plane from collecting water - but this problem will otherwise still exist in the lorry and foundry.

~0005965

Marky (developer)

Regarding the quick fix: Currently the liquids can go into any object that returns true in IsContainer(), or IsLiquidContainer() - we could restrict this to anything that is a liquid container explicitely. I deliberately added both options when I coded that back then, but now it seems a better choice to allow it in liquid containers only (because you have to make exceptions for things like the airplane)

~0005966

Clonkonaut (developer)

When I designed the liquid spray option, I wasn't aware that all containers can hold liquids. So I never bothered to do anything about limiting any liquid intake because this is unexpected.

So, yeah, I would not have all IsContainer() objects also intake liquids and limit it to IsLiquidContainer(). This is how I understood that callback.

~0005991

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/ee0917d7e8983a653278ddc532e80ad38289bf7c

Changeset ee0917d by Mark <markh4b@hotmail.com>
Fix 0001951: Disabled putting water in airplane and lorry
Removing liquid collection from the lorry is a side effect, but it is not bad. The lorry behavior was weird anyway, because you could for example put lava and wood in it, without the wood burning etc.

+Notes

-Issue History
Date Modified Username Field Change
2017-10-27 17:43 Fulgen New Issue
2017-10-27 17:43 Fulgen Tag Attached: Objects
2017-11-10 13:15 Maikel Assigned To => Maikel
2017-11-10 13:15 Maikel Status new => feedback
2017-11-10 13:15 Maikel Note Added: 0005893
2017-11-10 13:33 Maikel Assigned To Maikel =>
2017-11-11 09:47 Maikel Target Version => 8.0
2017-12-01 11:01 Caesar Note Added: 0005920
2017-12-03 18:24 Maikel Note Added: 0005921
2017-12-03 18:47 Maikel Note Edited: 0005921 View Revisions
2017-12-03 18:47 Maikel Assigned To => Marky
2017-12-03 18:47 Maikel Status feedback => assigned
2017-12-20 14:24 Marky Note Added: 0005943
2017-12-20 19:17 Marky Note Added: 0005944
2017-12-20 19:23 Marky Note Edited: 0005944 View Revisions
2017-12-22 13:07 Luchs File Added: Screenshot115.png
2017-12-22 13:07 Luchs File Added: Screenshot116.png
2017-12-22 13:11 Luchs Note Added: 0005948
2017-12-22 18:21 Marky Note Added: 0005949
2017-12-24 10:37 Marky Note Added: 0005965
2017-12-25 15:37 Clonkonaut Note Added: 0005966
2017-12-29 12:00 occ Note Added: 0005991
2017-12-29 12:10 Marky Relationship added related to 0001970
2017-12-29 12:11 Marky Status assigned => resolved
2017-12-29 12:11 Marky Resolution open => fixed
2017-12-29 12:11 Marky Fixed in Version => git master
+Issue History